Page MenuHomePhabricator

elm_slider: add null check to avoid seg fault.
ClosedPublic

Authored by bowonryu on Jun 21 2018, 11:12 PM.

Details

Summary

a segmentation fault occurs once the argument is not valid.

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bowonryu created this revision.Jun 21 2018, 11:12 PM
bowonryu requested review of this revision.Jun 21 2018, 11:12 PM
bowonryu updated this revision to Diff 15134.Jun 22 2018, 1:29 AM

EFL_UI_SLIDER_DATA_GET_OR_RETURN is used.

eagleeye accepted this revision.Jun 22 2018, 1:33 AM
This revision is now accepted and ready to land.Jun 22 2018, 1:33 AM
zmike requested changes to this revision.Jun 22 2018, 6:45 AM
zmike added inline comments.
src/lib/elementary/elm_slider.c
1249

This should be a safety check.

This revision now requires changes to proceed.Jun 22 2018, 6:45 AM
bowonryu updated this revision to Diff 15170.Jun 24 2018, 7:38 PM

add a safefy check

zmike accepted this revision.Jun 25 2018, 3:22 AM
This revision is now accepted and ready to land.Jun 25 2018, 3:22 AM
This revision was automatically updated to reflect the committed changes.